#version 300 es

precision lowp float;

in vec4 position;
uniform mat4 view;
uniform mat4 projection;
out vec3 dir;

void main() {
    dir = inverse(mat3(view)) * (inverse(projection) * position).xyz;
    gl_Position = position;
}
