#version 130

precision lowp float;

in vec4 position;
in vec2 tex;
uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;
out vec2 uv0;

void main() {
	gl_Position = projection * view * model * position;
	uv0 = tex;
}